import React, { ComponentProps } from 'react';
import { sizeType, displayType, variantType, colorSchemeType, modeType } from '../../utils/componentPropsTypes';
interface IButton {
    variant?: variantType;
    label?: string;
    startImage?: React.ReactNode;
    endImage?: React.ReactNode;
    disabled?: boolean;
    size?: sizeType;
    display?: displayType;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
    color?: colorSchemeType;
    propMode?: modeType;
}
declare function Button(props: IButton & Omit<ComponentProps<'input'>, keyof IButton>): JSX.Element;
export default Button;
